Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005013 [JEDI VCL] 00 JVCL Components major always 2009-11-09 17:24 2012-09-10 14:15
Reporter onkelmehli View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.38
Summary 0005013: DrawColumnCell Checkbox not painted
Description when DrawColumnCell Event is changed, Checkbox not painted (show screenshot)
Additional Information on DrawColumnCell i have:

with JvDBGrid1 do
begin
    if gdSelected in State then
    begin
      Canvas.Brush.Color := clRed;
      Canvas.Font.Color := clBlack;
      DefaultDrawDataCell(Rect,Field,State);
    end;
end;

DefaultDrawing true or false it`s the same problem.
Tags No tags attached.
Attached Files ? file icon JvDBGrid_DrawColumnCell.bmp [^] (162,294 bytes) 2009-11-09 17:24
rar file icon JvDBGrid_OnDrawColumnCell.rar [^] (22,373 bytes) 2009-11-17 15:21

- Relationships

-  Notes
(0016886)
obones (administrator)
2009-11-17 14:29

Please provide the zipped sources of a sample application showing this
(0016889)
onkelmehli (reporter)
2009-11-17 15:25

ok, i provide the zipped sources incl. a BDE-table. Start project and focus column "Anzeige", you will see, the focused cell not painted with checkbox, but all other cells on this column.
(0016939)
obones (administrator)
2009-12-04 15:21

Thanks for the application, someone will test this
(0019584)
obones (administrator)
2012-02-27 15:49

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2009-11-09 17:24 onkelmehli New Issue
2009-11-09 17:24 onkelmehli File Added: JvDBGrid_DrawColumnCell.bmp
2009-11-09 17:47 onkelmehli Issue Monitored: onkelmehli
2009-11-09 17:47 onkelmehli Issue End Monitor: onkelmehli
2009-11-17 14:29 obones Note Added: 0016886
2009-11-17 14:29 obones Status new => feedback
2009-11-17 15:21 onkelmehli File Added: JvDBGrid_OnDrawColumnCell.rar
2009-11-17 15:25 onkelmehli Note Added: 0016889
2009-12-04 15:21 obones Note Added: 0016939
2009-12-04 15:21 obones Status feedback => acknowledged
2012-02-27 15:49 obones Note Added: 0019584
2012-02-27 15:49 obones Status acknowledged => resolved
2012-02-27 15:49 obones Fixed in Version => Daily / SVN
2012-02-27 15:49 obones Resolution open => fixed
2012-02-27 15:49 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker